<?php
ob_start(); // Start reading html
include "script/db.php";

$req_p0 = $db->query('SELECT SUM(points) AS s FROM scores WHERE team = 0');
$r0 = $req_p0->fetchAll(PDO::FETCH_ASSOC);

if(!($r0[0]['s'] > 0)) {
	$r0[0]['s'] = 0;
}

$req_p1 = $db->query('SELECT SUM(points) AS s FROM scores WHERE team = 1');
$r1 = $req_p1->fetchAll(PDO::FETCH_ASSOC);

if(!($r1[0]['s'] > 0)) {
	$r1[0]['s'] = 0;
}

include "assets/scripts/globals.php"

?>
<main>
    <div class="zone_txt">
    	<strong>Les stats de la semaine.</strong>
        <br><br>
        Remporte le plus de points possible pour faire gagner ton équipe, mais attention à ne pas lui en faire
        perdre !
        <br><br>


	<table class="out">
    	<tr>
    		<td><div class="title_in"><?=$TEAM1?> - <?= $r0[0]['s'] ?> points</div></td>
    		<td><div class="title_in"><?=$TEAM2?>- <?= $r1[0]['s'] ?> points</div></td>
    	</tr>
		<tr>
	    	<td>
	    		<?php 
	    			$req = $db->query('SELECT texte, points FROM scores WHERE team = 0 ORDER BY id DESC');
					while($r = $req->fetch()) {
						?>
						<span class="box-point">
							<table class="in">
								<td class="left"><?= $r['texte'] ?></td>
								<td class="right"><?= $r['points'] ?></td>
							</table>
						</span>
						<?php
					}
	    		?>
	    	</td>
	    	<td>
	    		<?php 
	    			$req = $db->query('SELECT texte, points FROM scores WHERE team = 1 ORDER BY id DESC');
					while($r = $req->fetch()) {
						?>
						<span class="box-point">
							<table class="in">
								<td class="left"><?= $r['texte'] ?></td>
								<td class="right"><?= $r['points'] ?></td>
							</table>
						</span>
						<?php
					}
	    		?>
	    		


	    	</td>
	    </tr>
    </table>

	</div>

</main>
<?php
$infopage = ["", "Statistiques", ob_get_clean(), "", "stats","Stats de la semaine"]; //relativepath, pagetitle, pagecontent, pagescript | cf structure/template.php ligne 2 à 6
include("structure/template.php");
?>